# PSecureHTTPServiceProcess Class Reference

`#include <shttpsvc.h>`

Inheritance diagram for PSecureHTTPServiceProcess:

List of all members.

## Public Member Functions

| PSecureHTTPServiceProcess (const Info &inf)
| ~PSecureHTTPServiceProcess ()
virtual PHTTPServer * | CreateHTTPServer (PTCPSocket &socket)
PBoolean | SetServerCertificate (const PFilePath &certFile, PBoolean create=false, const char *dn=NULL)
virtual PBoolean | OnDetectedNonSSLConnection (PChannel *chan, const PString &line)
virtual PString | CreateNonSSLMessage (const PString &url)
virtual PString | CreateRedirectMessage (const PString &url)

## Protected Attributes

PSSLContext * | sslContext
PBoolean | disableSSL

## Constructor & Destructor Documentation

PSecureHTTPServiceProcess::PSecureHTTPServiceProcess | ( | const Info & | inf | ) |

PSecureHTTPServiceProcess::~PSecureHTTPServiceProcess | ( |  | ) |

## Member Function Documentation

virtual PHTTPServer* PSecureHTTPServiceProcess::CreateHTTPServer | ( | PTCPSocket & | socket | ) | `[virtual]`

Reimplemented from PHTTPServiceProcess.

virtual PString PSecureHTTPServiceProcess::CreateNonSSLMessage | ( | const PString & | url | ) | `[virtual]`

virtual PString PSecureHTTPServiceProcess::CreateRedirectMessage | ( | const PString & | url | ) | `[virtual]`

virtual PBoolean PSecureHTTPServiceProcess::OnDetectedNonSSLConnection | ( | PChannel * | chan,
|  | const PString & | line |
| ) |  |  | `[virtual]`

PBoolean PSecureHTTPServiceProcess::SetServerCertificate | ( | const PFilePath & | certFile,
|  | PBoolean | create = `false`,
|  | const char * | dn = `NULL` |
| ) |  |  |

## Member Data Documentation

PBoolean PSecureHTTPServiceProcess::disableSSL `[protected]`

PSSLContext* PSecureHTTPServiceProcess::sslContext `[protected]`

The documentation for this class was generated from the following file:

- shttpsvc.h